// REVISION    : $Revision: 1.1 $
// Mentor Graphics Corporation Proprietary and Confidential
// Copyright 2007 Mentor Graphics Corporation and Licensors
`timescale 1ps/1ps
// improves synthesis and layout development procedures of the PE_TBI.
module
CoreTSE_M2S090_CORETSE_AHB_0_PETCR
(
CORETSEoOOI
,
CORETSEiOOI
,
CORETSEOIOI
,
CORETSEIIOI
,
CORETSElIOI
,
CORETSEoIOI
,
CORETSEiIOI
,
CORETSEOlOI
,
CORETSEIlOI
,
CORETSEllOI
,
CORETSEolOI
,
CORETSEilOI
,
CORETSEO0OI
,
CORETSEI0OI
,
CORETSEl0OI
)
;
input
CORETSEoOOI
;
input
CORETSEiOOI
;
input
CORETSEOIOI
;
input
CORETSEIIOI
;
input
CORETSElIOI
;
input
CORETSEoIOI
;
input
CORETSEiIOI
;
input
CORETSEOlOI
;
input
CORETSEIlOI
;
output
CORETSEllOI
;
output
CORETSEolOI
;
output
CORETSEilOI
;
output
CORETSEO0OI
;
output
CORETSEI0OI
;
output
CORETSEl0OI
;
wire
CORETSEllOI
;
wire
CORETSEolOI
;
wire
CORETSEilOI
;
wire
CORETSEO0OI
;
wire
CORETSEI0OI
;
wire
CORETSEl0OI
;
reg
CORETSEo0OI
;
parameter
CORETSEOII
=
1
;
reg
CORETSEi0OI
,
CORETSEO1OI
;
wire
CORETSEI1OI
;
reg
CORETSEl1OI
;
wire
CORETSEo1OI
;
reg
CORETSEi1OI
,
CORETSEOoOI
;
wire
CORETSEIoOI
;
wire
CORETSEloOI
;
reg
CORETSEooOI
,
CORETSEioOI
;
wire
CORETSEOiOI
;
reg
CORETSEIiOI
,
CORETSEliOI
;
wire
CORETSEoiOI
;
reg
CORETSEiiOI
,
CORETSEOOII
;
wire
CORETSEIOII
;
wire
CORETSElOII
;
reg
CORETSEoOII
,
CORETSEiOII
;
wire
CORETSEOIII
;
always
@
(
posedge
CORETSEIIOI
)
begin
CORETSEi0OI
<=
#
CORETSEOII
CORETSEoIOI
;
end
always
@
(
posedge
CORETSEIIOI
)
begin
CORETSEO1OI
<=
#
CORETSEOII
CORETSEi0OI
;
end
assign
CORETSEI1OI
=
CORETSEoIOI
|
CORETSEO1OI
;
always
@
(
posedge
CORETSEIIOI
)
begin
if
(
CORETSEI1OI
)
CORETSEl1OI
<=
#
CORETSEOII
1
'b
0
;
else
CORETSEl1OI
<=
#
CORETSEOII
~
CORETSEl1OI
;
end
assign
CORETSEolOI
=
(
CORETSEiOOI
)
?
CORETSEl1OI
:
CORETSEIIOI
;
assign
CORETSEllOI
=
(
CORETSEiOOI
)
?
~
CORETSEl1OI
:
CORETSEOIOI
;
assign
CORETSEo1OI
=
CORETSEoIOI
|
CORETSEiIOI
|
CORETSEOlOI
;
always
@
(
posedge
CORETSEoOOI
)
begin
CORETSEi1OI
<=
#
CORETSEOII
CORETSEo1OI
;
end
always
@
(
posedge
CORETSEoOOI
)
begin
CORETSEOoOI
<=
#
CORETSEOII
CORETSEi1OI
;
end
assign
CORETSEIoOI
=
CORETSEo1OI
|
CORETSEOoOI
;
assign
CORETSEilOI
=
CORETSEIlOI
?
CORETSEoIOI
:
CORETSEIoOI
;
assign
CORETSEloOI
=
CORETSEoIOI
|
CORETSEiIOI
|
CORETSEOlOI
;
always
@
(
posedge
CORETSEoOOI
)
begin
CORETSEooOI
<=
#
CORETSEOII
CORETSEloOI
;
end
always
@
(
posedge
CORETSEoOOI
)
begin
CORETSEioOI
<=
#
CORETSEOII
CORETSEooOI
;
end
assign
CORETSEOiOI
=
CORETSEloOI
|
CORETSEioOI
;
assign
CORETSEO0OI
=
CORETSEIlOI
?
CORETSEoIOI
:
CORETSEOiOI
;
always
@
(
posedge
CORETSElIOI
)
begin
CORETSEiiOI
<=
#
CORETSEOII
CORETSEloOI
;
end
always
@
(
posedge
CORETSElIOI
)
begin
CORETSEOOII
<=
#
CORETSEOII
CORETSEiiOI
;
CORETSEo0OI
<=
#
CORETSEOII
CORETSEOOII
;
end
assign
CORETSEIOII
=
CORETSEloOI
|
CORETSEo0OI
;
assign
CORETSEI0OI
=
CORETSEIlOI
?
CORETSEoIOI
:
CORETSEIOII
;
assign
CORETSElOII
=
CORETSEoIOI
|
CORETSEiIOI
|
CORETSEOlOI
;
always
@
(
posedge
CORETSEoOOI
)
begin
CORETSEoOII
<=
#
CORETSEOII
CORETSElOII
;
end
always
@
(
posedge
CORETSEoOOI
)
begin
CORETSEiOII
<=
#
CORETSEOII
CORETSEoOII
;
end
assign
CORETSEOIII
=
CORETSElOII
|
CORETSEiOII
;
assign
CORETSEl0OI
=
CORETSEIlOI
?
CORETSEoIOI
:
CORETSEOIII
;
endmodule
